.header {
  position: relative;
  padding: 30px 0;

  @include transition;

  @include media-breakpoint-down(xl) {
    padding: 24px 0;
  }

  &__wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;

    @include media-breakpoint-down(xl) {
      padding-right: 44px;
    }
  }

  &__logo {
    position: relative;
    z-index: 1;

    @include media-breakpoint-down(xl) {
      z-index: 2;
    }
  }

  &__right {
    display: flex;
    align-items: center;
  }

  &__phone {
    position: relative;
    z-index: 2;
    margin-right: 30px;
    margin-bottom: 0;
    text-decoration: none;
    color: $black;

    @include transition;

    @include media-breakpoint-down(xl) {
      margin-right: 20px;
    }

    @include media-breakpoint-down(lg) {
      z-index: 2;
    }

    @include media-breakpoint-down(md) {
      display: none;
    }

    &:hover {
      color: $gray;
    }
  }

  &--absolute {
    position: absolute;
    z-index: 3;
    top: 0;
    left: 0;
    width: 100%;

    @include media-breakpoint-down(xl) {
      z-index: 4;
    }
  }

  &--search {
    z-index: auto;
  }

  &--main {

    &.header--search {
      z-index: 3;
    }
  }

  &--menu {

    @include media-breakpoint-down(xl) {
      z-index: 2;
      background: #fff;
    }

    &.header--closer,
    &.header--main {

      @include media-breakpoint-down(xl) {
        z-index: 4;
      }
    }
  }
}
